import request from "@/utils/request";
const api = "/mosty-api/mosty-base";
// 查询生成表数据
export function listTable(params) {
  return request({
    url: api + '/gen/list',
    method: 'GET',
    params
  })
}
// 查询db数据库列表
export function listDbTable(query) {
  return request({
    url: api + '/gen/db/list',
    method: 'GET',
    params: query
  })
}

// 查询表详细信息
export function getGenTable11(tableId) {
  return request({
    url: api + '/gen/' + tableId,
    method: 'GET'
  })
}

// 修改代码生成信息
export function updateGenTable(data) {
  return request({
    url: api + '/gen',
    method: 'put',
    data: data
  })
}

// 导入表
export function importTable(data) {
  return request({
    url: api + '/gen/importTable',
    method: 'POST',
    params: data
  })
}

// 预览生成代码
export function previewTable(tableId) {
  return request({
    url: api + '/gen/preview/' + tableId,
    method: 'GET'
  })
}

// 删除表数据
export function delTable(tableId) {
  return request({
    url: api + '/gen/' + tableId,
    method: 'delete'
  })
}

// 生成代码（自定义路径）
export function genCode(tableName) {
  return request({
    url: api + '/gen/genCode/' + tableName,
    method: 'GET'
  })
}

// 同步数据库
export function synchDb(tableName) {
  return request({
    url: api + '/gen/synchDb/' + tableName,
    method: 'GET'
  })
}

// 获取字典选择框列表
export function getDictOptionselect() {
  return request({
    url: '/system/dict/type/optionselect',
    method: 'get'
  })
}

// 查询菜单列表
export function listMenu(query) {
  return request({
    url: '/system/menu/list',
    method: 'get',
    params: query
  })
}

// 根据经纬度获取位置信息 /other/getAddress
export function getAddress(query) {
  return request({
    url: api + '/other/getAddress',
    method: 'get',
    params: query
  })
}
